Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.outbound
Interface SNAOutboundConfiguration.SNAOutboundConnectionEstablish

Enclosing interface:
  SNAOutboundConfiguration

    public static interface SNAOutboundConfiguration.SNAOutboundConnectionEstablish

The configuration object for outbound ConnectionEstablish section. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:33 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Method Summary
`boolean` | `getAlwaysCreateNewConnection()` Gets AlwaysCreateNewConnection
`boolean` | `getAutoDisconnectConnection()` Gets AutoDisconnectConnection
`boolean` | `getAutoReconnectUponMatchingFailure()` Gets AutoReconnectUponMatchingFailure
`java.lang.String` | `getConnectionMode()` Gets ConnectionMode
`int` | `getMaxConnectionRetries()` Gets MaxConnectionRetries
`long` | `getRetryConnectionInterval()` Gets RetryConnectionInterval
`boolean` | `isAlwaysCreateNewConnection()` Is AlwaysCreateNewConnection?
`boolean` | `isAutoDisconnectConnection()` Is AutoDisconnectConnection?
`boolean` | `isAutoReconnectUponMatchingFailure()` Is AutoReconnectUponMatchingFailure?
`boolean` | `isConnectionModeAutomatic()` Is ConnectionMode Automatic?
`boolean` | `isConnectionModeManual()` Is ConnectionMode Manual?
`void` | `setAlwaysCreateNewConnection(boolean alwaysCreateNewConnection)` Sets AlwaysCreateNewConnection
`void` | `setAutoDisconnectConnection(boolean autoDisconnectConnection)` Sets AutoDisconnectConnection
`void` | `setAutoReconnectUponMatchingFailure(boolean autoReconnectUponMatchingFailure)` Sets AutoReconnectUponMatchingFailure
`void` | `setMaxConnectionRetries(int aMaxConnectionRetries)` Sets MaxConnectionRetries
`void` | `setRetryConnectionInterval(long aRetryConnectionInterval)` Sets RetryConnectionInterval
`void` | `validate()` Validates outbound ConnectionEstablish section

Method Detail

### getConnectionMode

    java.lang.String getConnectionMode()

  Gets ConnectionMode

  Returns:
    ConnectionMode

### getAutoReconnectUponMatchingFailure

    boolean getAutoReconnectUponMatchingFailure()

  Gets AutoReconnectUponMatchingFailure

  Returns:
    AutoReconnectUponMatchingFailure

### getAlwaysCreateNewConnection

    boolean getAlwaysCreateNewConnection()

  Gets AlwaysCreateNewConnection

  Returns:
    AlwaysCreateNewConnection

### getAutoDisconnectConnection

    boolean getAutoDisconnectConnection()

  Gets AutoDisconnectConnection

  Returns:
    AutoDisconnectConnection

### isConnectionModeAutomatic

    boolean isConnectionModeAutomatic()

  Is ConnectionMode Automatic?

  Returns:
    whether ConnectionMode is Automatic

### isConnectionModeManual

    boolean isConnectionModeManual()

  Is ConnectionMode Manual?

  Returns:
    whether ConnectionMode is Manual

### isAutoReconnectUponMatchingFailure

    boolean isAutoReconnectUponMatchingFailure()

  Is AutoReconnectUponMatchingFailure?

  Returns:
    AutoReconnectUponMatchingFailure

### isAlwaysCreateNewConnection

    boolean isAlwaysCreateNewConnection()

  Is AlwaysCreateNewConnection?

  Returns:
    AlwaysCreateNewConnection

### isAutoDisconnectConnection

    boolean isAutoDisconnectConnection()

  Is AutoDisconnectConnection?

  Returns:
    AutoDisconnectConnection

### getMaxConnectionRetries

    int getMaxConnectionRetries()

  Gets MaxConnectionRetries

  Returns:
    MaxConnectionRetries

### getRetryConnectionInterval

    long getRetryConnectionInterval()

  Gets RetryConnectionInterval

  Returns:
    RetryConnectionInterval

### setAutoReconnectUponMatchingFailure

    void setAutoReconnectUponMatchingFailure(boolean autoReconnectUponMatchingFailure)
                                             throws SNAApplicationException

  Sets AutoReconnectUponMatchingFailure

  Parameters:
    `autoReconnectUponMatchingFailure` - The AutoReconnectUponMatchingFailure to set
  Throws:
    `SNAApplicationException` - up on error

### setAutoDisconnectConnection

    void setAutoDisconnectConnection(boolean autoDisconnectConnection)
                                     throws SNAApplicationException

  Sets AutoDisconnectConnection

  Parameters:
    `autoDisconnectConnection` - The AutoDisconnectConnection to set
  Throws:
    `SNAApplicationException` - up on error

### setAlwaysCreateNewConnection

    void setAlwaysCreateNewConnection(boolean alwaysCreateNewConnection)
                                      throws SNAApplicationException

  Sets AlwaysCreateNewConnection

  Parameters:
    `alwaysCreateNewConnection` - The AlwaysCreateNewConnection to set
  Throws:
    `SNAApplicationException` - up on error

### setMaxConnectionRetries

    void setMaxConnectionRetries(int aMaxConnectionRetries)
                                 throws SNAApplicationException

  Sets MaxConnectionRetries

  Parameters:
    `aMaxConnectionRetries` - The MaxConnectionRetries to set
  Throws:
    `SNAApplicationException` - up on error

### setRetryConnectionInterval

    void setRetryConnectionInterval(long aRetryConnectionInterval)
                                    throws SNAApplicationException

  Sets RetryConnectionInterval

  Parameters:
    `aRetryConnectionInterval` - The RetryConnectionInterval to set
  Throws:
    `SNAApplicationException` - up on error

### validate

    void validate()
                  throws SNAApplicationException

  Validates outbound ConnectionEstablish section

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.